For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entities
      • POSTCreate an entity
      • GETGet the current entity
      • PATCHUpdate the current entity
      • GETGet an entity
      • PATCHUpdate an entity
      • PUTUpload an entity logo
      • DELDelete an entity's logo
      • GETGet entity metadata
      • PUTReplace entity metadata
      • GETGet entity settings
      • PATCHUpdate entity settings
      • GETGet the next document numbers for an entity
      • GETGet an entity of this user
      • PATCHUpdate an entity of this user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntities

Replace entity metadata

PUT
/entities/:entity_id/partner_metadata
PUT
/v1/entities/:entity_id/partner_metadata
$curl -X PUT https://api.sandbox.monite.com/v1/entities/entity_id/partner_metadata \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "metadata": {
> "key": "value"
> }
>}'
1{
2 "metadata": {
3 "key": "value"
4 }
5}
Fully replace the current metadata object with the specified instance.
Was this page helpful?
Previous

Get entity settings

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
metadatamap from strings to anyRequired
Metadata for partner needs

Response

Successful Response
metadatamap from strings to any
Metadata for partner needs

Errors

422
Put Entities ID Partner Metadata Request Unprocessable Entity Error
500
Put Entities ID Partner Metadata Request Internal Server Error